
Infrastructure - Bug #6895

Complete obsolescence chain is being displayed for LTER content in ONEMercury

2015-03-17 18:28 - Mark Servilla

Status: Rejected Start date: 2015-03-17

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 0%

Category: d1_mercury Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

ONEMercury displays all data packages (as denoted by ORE maps) within a single obsolescence chain for LTER objects

synchronized through PASTA-GMN (https://gmn.lternet.edu/mn) - for example, see this search: 

https://cn.dataone.org/onemercury/send/facetsQuerry2?filterForDataHidden=true&term1=text+%3A+Sharma+&term1attribute=text&o

p1=&term3attribute=overlaps&term3=%2C%2C%2C&op3=&term8=either&pageSize=10&start=0&sortattribute=default&facetattribute

=datasource&facet=urn%3Anode%3ALTER&facetattribute=author&facet=Sapna%20Sharma.

System metadata for each of the three packages in the above example search contain, what appears to be, correct "obsoletes" and

"obsoletedBy" elements (see attachment). 

Related issues:

Related to Member Nodes - Task #4295: address discovered content issues in th... Closed 2014-03-04

Related to Infrastructure - Task #3109: PISCO/LTER revision history with SBC ... In Progress 2012-07-30

History

#1 - 2015-03-17 18:29 - Mark Servilla

- Related to Task #4295: address discovered content issues in the index added

#2 - 2015-03-17 18:29 - Mark Servilla

- Related to Task #3109: PISCO/LTER revision history with SBC documents added

#3 - 2015-03-18 12:44 - Chris Jones

While the resource maps look to have a correct obsolescence chain, the science metadata don't.  I would expect the EML doc version 2 to obsolete

version 1 and to be obsoleted by version 3, but I'm not seeing that:

https://cn.dataone.org/cn/v1/meta/https://pasta.lternet.edu/package/metadata/eml/knb-lter-ntl/10001/2

To test this, perhaps call CN.setObsoletes() to update the system metadata, and see if ONEMercury displays the versions correctly after that.

#4 - 2019-04-30 22:26 - Dave Vieglais

- Status changed from New to Rejected

Closing with deprecation of ONEMercury

Files

knb-lter-ntl.1001.obsChain.txt 3.79 KB 2015-03-17 Mark Servilla
